cURL
curl --request PATCH \
--url https://api.mottostreaming.com/streaming/video_protection/v2/rulesets/{video_protection_ruleset_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"video_protection_ruleset_id": "<string>",
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/streaming/video_protection/v2/rulesets/{video_protection_ruleset_id}"
payload = {
"video_protection_ruleset_id": "<string>",
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({video_protection_ruleset_id: '<string>', update_mask: '<string>'})
};
fetch('https://api.mottostreaming.com/streaming/video_protection/v2/rulesets/{video_protection_ruleset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_protection_ruleset": {
"project_id": "<string>",
"name": "<string>",
"id": "<string>",
"geo_restrictions_disallow": {
"country_codes": [
"<string>"
]
},
"geo_restrictions_allow": {
"country_codes": [
"<string>"
]
},
"allow_all_geographies": true,
"disallow_vpn_usage": true,
"disallow_hotlinking": true,
"domains": {
"domains": [
"<string>"
]
},
"allow_all_domains": true,
"require_authentication": true,
"disabled": true,
"require_entitlement": true,
"geo_applicability_exempt": {
"country_codes": [
"<string>"
]
},
"geo_applicability_apply": {
"country_codes": [
"<string>"
]
},
"applies_to_all": true,
"target": {
"entity_ids": [
"<string>"
],
"event_ids": [
"<string>"
],
"creative_work_ids": [
"<string>"
],
"content_start_time": "2023-11-07T05:31:56Z",
"content_end_time": "2023-11-07T05:31:56Z",
"video_ids": [
"<string>"
]
},
"filter": {
"filter_events": "<string>",
"filter_creative_works": "<string>"
},
"drm": {
"enabled": true,
"hws_minimum_quality": 123,
"split_keys": true
},
"enforce_concurrency_limits": true,
"priority": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Video Protection
Update ruleset
UpdateVideoProtectionRuleset
Updates a video_protection_ruleset. When updating a ruleset that is already attached to one or more videos, this change will apply to all of those videos (including past ones).
These changes apply asynchronously and may take a bit of time to propagate.
PATCH
/
streaming
/
video_protection
/
v2
/
rulesets
/
{video_protection_ruleset_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
Show child attributes
Show child attributes
⌘I

